gi-cairo-1.0.29: Cairo bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Cairo.Structs.Device

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype Device = Device (ManagedPtr Device)

# Exported types

newtype Device Source #

Memory-managed wrapper type.

Constructors

Device (ManagedPtr Device) |

#### Instances

Instances details

Eq Device Source # |
Instance details Defined in GI.Cairo.Structs.Device Methods (==) :: Device -> Device -> Bool Source # (/=) :: Device -> Device -> Bool Source #
GBoxed Device Source # |
Instance details Defined in GI.Cairo.Structs.Device
ManagedPtrNewtype Device Source # |
Instance details Defined in GI.Cairo.Structs.Device Methods toManagedPtr :: Device -> ManagedPtr Device Source #
TypedObject Device Source # |
Instance details Defined in GI.Cairo.Structs.Device Methods glibType :: IO GType Source #
HasParentTypes Device Source # |
Instance details Defined in GI.Cairo.Structs.Device
IsGValue (Maybe Device) Source # | Convert `Device` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Cairo.Structs.Device Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe Device -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe Device) Source #
type ParentTypes Device Source # |
Instance details Defined in GI.Cairo.Structs.Device type ParentTypes Device = '[] :: [Type]

# Methods